%define version 1.6.1
%define fversion %version
%define release %mkrel 2
%define iwver 0.7.0beta5

Summary:   CheckInstall installations tracker
Name:      checkinstall
Version:   %version
Release:   %release
License:   GPL
Group:     System/Configuration/Packaging
Source:    http://checkinstall.izto.org/files/source/%{name}-%{fversion}.tar.bz2
Patch0:	   checkinstall-1.6.0-mdk.patch
Patch1:    checkinstall-1.6.1-64bit.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://asic-linux.com.mx/~izto/checkinstall/
Provides: libcheckinstall1
Obsoletes: libcheckinstall1
Requires: rpm-build

%description
CheckInstall  keeps  track of all the files created  or
modified  by your installation  script  ("make install"
"make install_modules",  "setup",   etc),   builds    a 
standard   binary   package and  installs  it  in  your 
system giving you the ability to uninstall it with your 
distribution's  standard package management  utilities. 

%prep

%setup -q -n %name-%fversion
ln -s installwatch-%iwver installwatch-0.7.0beta4
%patch0 -p1 -b .mdv
%patch1 -p1 -b .64bit

%build
make

%install
rm -rf %buildroot
install -D -m 755 checkinstall %buildroot/%{_bindir}/checkinstall
install -D -m 755 makepak %buildroot/%{_sbindir}/makepak
install -m 755 installwatch-%iwver/installwatch %buildroot/%{_bindir}
install -D -m 755 installwatch-%iwver/installwatch.so %buildroot/%{_libdir}/checkinstall/installwatch.so
install -m 755 checkinstallrc-dist %buildroot/%{_libdir}/checkinstall/checkinstallrc
install -D -m 644 locale/checkinstall-es.mo %buildroot%_libdir/checkinstall/locale/es/LC_MESSAGES/checkinstall.mo
perl -pi -e "s!#PREFIX#!%_prefix!" %buildroot%_bindir/installwatch

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,755)
%doc README INSTALL RELNOTES BUGS TODO CREDITS COPYING
%{_bindir}/installwatch
%{_bindir}/checkinstall
%{_sbindir}/makepak
%dir %{_libdir}/checkinstall/
%{_libdir}/checkinstall/checkinstallrc
%{_libdir}/checkinstall/installwatch.so
%lang(es) %{_libdir}/checkinstall/locale/es
%dir %{_libdir}/checkinstall/locale/


%changelog
* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 1.6.1-2mdv2007.0
+ Revision: 87354
- fix build on 64 bit
- Import checkinstall



* Fri Nov 24 2006 Gtz Waschk <waschk@mandriva.org> 1.6.1-1mdv2007.1
- drop patch 1
- New version 1.6.1

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2007.0
- Rebuild

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 1.6.0-2mdk
- fix bug #21100 (switched options), thanks to danxuliu)

* Thu Aug 11 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- rediff patch, it was partitially merged
- new version

* Mon Aug  8 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-0.beta4.3mdk
- update patch to fix bug 16848 (thanks to sieczka)

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-0.beta4.2mdk
- update patch 0 to fix bug 16110 (thanks to Jan Ciger)

* Thu Dec  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta4.1mdk
- update patch 0
- new version

* Sat Jun 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-0.beta3.2mdk
- require rpm-build

* Mon May  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta3.1mdk
- rediff patch
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta2.1mdk
- fix installation
- rediff the patch
- 1.6.0beta2

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-5mdk
- own %{_libdir}/checkinstall/

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-4mdk
- move makepak to %_sbindir as configured in checkinstall

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-3mdk
- move the preload library to %{_libdir}/checkinstall/
- merge all patches into one

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-2mdk
- remove library package, no soname
- can't be noarch, there's a shared library
- patch2: docdir is /usr/share/doc, default release is 1mdk

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.3-1mdk
- 1.5.3
- url

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Wed Apr 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-3mdk
- patch1: fixes PREFIX in installwatch ( we don't use make install in %%install )

* Sat Jan 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- %name-paths.patch : fix paths in scripts ( thx Rainer Koschnick ) 

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- apply changes from Jorg Pitts <jorgp@bartnet.net> (thx! )
	- new release 1.5.1
	- split package and make rpmlint happier

* Thu Apr 12 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.4.1-1mdk
- First package
